Subject: Re: [PATCH 00/16] test-lib.sh: new test_commit args, simplification & fixes

From: Junio C Hamano <[email-masked]>
Date: Mon, 12 Apr 2021 11:18:06 -0700

Ævar Arnfjörð Bjarmason  <[email-masked]> writes:

> This is a "various small fixes" series to test-lib.sh,
> test-lib-functions.sh.
>
> I have a couple of outstanding patch serieses that I've pulled this
> from (ab/describe-tests-fix, ab/pickaxe-pcre2), as well as some other
> local work I've been having a chicken and egg problem with.
>
> I think the approach of pulling out these various miscellaneous test
> fixes into their own topic makes the most sense,...

I guess I'm expected to discard the other topics that have been
expecting rerolls from my tree to make room for this, queue this
topic and wait it to stabilize, before taking the rerools of these
other topics.

I find it a bit distracting to retract multiple topics that have
been already reviewed and reorganizing them in a new topic.  The
reviewer resource spent for the last round might not be completely
lost, but for reviewers it makes it unnecessarily harder to verify
which review comments have been addressed and which parts haven't
changed, so the net effect is to require them a fresh review anyway.
If you can entice reviewers to review this new series and making
them giving it priority over other topics in flight, that is.

> Ævar Arnfjörð Bjarmason (16):
>   check-non-portable-shell: complain about "test" a/-o instead of &&/||
>   test-lib: bring $remove_trash out of retirement
>   test-lib tests: remove dead GIT_TEST_FRAMEWORK_SELFTEST variable
>   test-lib-functions: reword "test_commit --append" docs
>   test-lib-functions: document test_commit --no-tag
>   test-lib functions: add an --annotated-tag option to "test_commit"
>   describe tests: convert setup to use test_commit
>   test-lib functions: add --printf option to test_commit
>   submodule tests: use symbolic-ref --short to discover branch name
>   test-lib: reformat argument list in test_create_repo()
>   test-lib: do not show advice about init.defaultBranch under --verbose
>   test-lib: modernize test_create_repo() function
>   test-lib-functions: normalize test_path_is_missing() debugging
>   test-lib-functions: use "return 1" instead of "false"
>   Revert and amend "test-lib-functions: assert correct parameter count"
>   test-lib-functions: remove last two parameter count assertions